= tlsrpt_version_check(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_version_check
:mansource: tlsrpt_version_check
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_version_check - check whether the version of libtlsrpt is compatible with the calling program

== Synopsis

#include <tlsrpt.h>

int tlsrpt_version_check(int major, int minor, int patch)

== Description

The `tlsrpt_version_check` function checks whether the version of libtlsrpt is compatible with the calling program.

A program compiled with libtlsrpt version a.b.c can call `tlsrpt_version_check(a, b, c)` to determine if the loaded library is compatible with the program.


== Return value

The tlsrpt_version function returns 1 when the library is compatible with the calling program and 0 otherwise.

== See also
man:tlsrpt_version_check[3]






